module AR::Game::Agility 
  attr_accessor :agility_lvl
  
  def self.init ar_object 

  end

  def self.extended ar_object
    self.init ar_object

    #subscribe to the clock tick event, latching onto the event and rolling initiative
  end 


  #add more methods here

end
